Subject: Re: [PATCH] help: report on whether or not gettext is enabled

From: Junio C Hamano <[email-masked]>
Date: Mon, 19 Jan 2026 16:15:14 -0800

Patrick Steinhardt <[email-masked]> writes:

>> Combined with the vintage of Git binary that had these help text,
>> the fact that an "enabled" line is missing is enough clue to
>> diagnose.
>> ...
>
> One reason why I personally prefer to have enabled/disabled is that it
> allows you to discern the following two cases:
>
>   - You have a modern version of Git that doesn't have gettext.
>
>   - You have an old version of Git that doesn't know to print
>     information about whether or not gettext is enabled.

When you see no "gettext:" line in the report, you can tell between
the above two cases by looking at what the first entry in the same
report "git version --build-options" produced, which is the Git
version, can't you?